Author Topic: Error updating fresh eBox 0.11.2 install  (Read 1964 times)

cyboreal

  • Zen Apprentice
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Error updating fresh eBox 0.11.2 install
« on: January 30, 2008, 12:32:30 am »
Hi,

I installed eBox from the installation CD (http://ebox-platform.com/get/ebox_installer.iso) and after the installation finished, I checked for upgraded packages but the upgrade was broken by an error from apache-perl:

Code: [Select]
# apt-get update
...
# apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages have been kept back:
  clamav clamav-daemon clamav-freshclam
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
3 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up apache-perl (1.3.33-6sarge3.0warp) ...
Can't use string ("/ebox-ro/modules/apache/port") as a HASH ref while "strict refs" in use at /usr/share/perl5/EBox/GConfModule.pm line 916.
dpkg: error processing apache-perl (--configure):
 subprocess post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of ebox:
 ebox depends on apache-perl; however:
  Package apache-perl is not configured yet.
dpkg: error processing ebox (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ebox-squid:
 ebox-squid depends on ebox (= 0.11); however:
  Package ebox is not configured yet.
dpkg: error processing ebox-squid (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 apache-perl
 ebox
 ebox-squid
E: Sub-process /usr/bin/dpkg returned an error code (1)
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages have been kept back:
  clamav clamav-daemon clamav-freshclam
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
3 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up apache-perl (1.3.33-6sarge3.0warp) ...
Can't use string ("/ebox-ro/modules/apache/port") as a HASH ref while "strict refs" in use at /usr/share/perl5/EBox/GConfModule.pm line 916.
dpkg: error processing apache-perl (--configure):
 subprocess post-installation script returned error exit status 255
dpkg: dependency problems prevent configuration of ebox:
 ebox depends on apache-perl; however:
  Package apache-perl is not configured yet.
dpkg: error processing ebox (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ebox-squid:
 ebox-squid depends on ebox (= 0.11); however:
  Package ebox is not configured yet.
dpkg: error processing ebox-squid (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 apache-perl
 ebox
 ebox-squid
E: Sub-process /usr/bin/dpkg returned an error code (1)

This was also mentioned in a ticket (http://trac.ebox-platform.com/ticket/914) but I have not found any information about resolving it. Using the "--force-yes" option to apt-get does not change anything. How can I resolve this?